upstream base_photo_app_unicorn {
        server unix:/srv/www/web/base_photo_app/shared/tmp/unicorn.sock fail_timeout=0;
}

server {
        listen [::]:80;
        server_name basephoto.one-voice.fr basephoto.quartz.xyz;
        root /srv/www/web/base_photo_app/current/public;
        try_files $uri/index.html $uri @unicorn;

        location @unicorn {
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
                proxy_set_header Host $http_host;
                proxy_redirect off;
                proxy_pass http://base_photo_app_unicorn;
        proxy_read_timeout 20000;
        }

        error_page 500 502 503 504 /500.html;
        client_max_body_size 4G;
        keepalive_timeout 10;
}
